Subject: Re: bug#54914: 28.1.50; Unable to form Brahmi conjuncts in Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Apr 2022 15:26:23 +0300

> From: समीर सिंह Sameer Singh <[email-masked]>
> Date: Sat, 16 Apr 2022 17:43:49 +0530
> Cc: Robert Pluim <[email-masked]>, [email-masked]
> 
> I can notice two problems
> 1. Vowel signs are not attached properly to conjuncts.
>     Correct output=hb-conjuncts-maatra.png   Incorrect Output=emacs-conjuncts-maatra.png
> 
> 2. Conjuncts with more than two consonants are not supported.
>     Correct output=hb-tri-conjuncts.png   Incorrect Output=emacs-tri-conjuncts.png

Thanks, but please always show the codepoints themselves that are or
should be involved, because it's impossible to glean that from the
images.

Also, where do you see the shaping rules that support those
combinations?  I didn't find them in the Unicode Standard or anywhere
else I've read about Brahmi.  What are your sources?  That hb-view
does something doesn't yet mean it's correct, since HarfBuzz is just
another piece of software, and can have bugs.